TikTok LIVE Moderation

Sensitive Words

Manage sensitive words within the TikTok LIVE Moderation API. This section covers endpoints for working with sensitive words including retrieval, creation, and management operations.

Get sensitive words

GEThttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/sensitive-words

Retrieve the list of sensitive words for a TikTok LIVE room.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

sec_anchor_id*string

The sec_anchor_id of the room owner

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200

Add sensitive word

POSThttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/sensitive-words

Add a sensitive word to a TikTok LIVE room's filter list.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

word*string

The sensitive word to add

sec_anchor_id*string

The sec_anchor_id of the room owner

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200

Delete sensitive word

DELhttps://api.eulerstream.com/webcast/rooms/{room_id}/moderation/sensitive-words

Delete a sensitive word from a TikTok LIVE room's filter list.

Path Parameters

room_id*string

The room ID of the livestream

Query Parameters

word_id*string

The ID of the sensitive word to delete

sec_anchor_id*string

The sec_anchor_id of the room owner

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200